require_relative 'lib/rate_attack/version'

Gem::Specification.new do |spec|
  spec.name          = "rate_attack"
  spec.version       = RateAttack::VERSION
  spec.license       = "MIT"

  spec.authors       = ["wilkosz"]
  spec.email         = ["joshua@wilkosz.com.au"]

  spec.summary       = %q{Throttle feature usage}
  spec.description   = %q{A rack middleware for ratelimiting and tracking feature utilization}
  spec.homepage      = "https://github.com/wilkosz/rateattack-rails"
  
  spec.required_ruby_version = Gem::Requirement.new(">= 2.7.2")

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage + "/blob/master/CHANGELOG.md"
  spec.metadata["changelog_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'rack', ">= 2.0", "< 3"

  spec.add_development_dependency "appraisal", '~> 2.4'
  spec.add_development_dependency "bundler", ">= 1.17", "< 3.0"
  spec.add_development_dependency 'rack-test', "~> 1.0"
  spec.add_development_dependency 'rake', "~> 13.0"
  spec.add_development_dependency 'rspec', "~> 3.0"
  spec.add_development_dependency "rubocop", "~> 1.12.1"
  spec.add_development_dependency "rubocop-performance", "~> 1.10.1"
  spec.add_development_dependency "timecop", "~> 0.9.4"

  spec.add_development_dependency 'railties', '>= 6.0'
end
